Форум русскоязычного сообщества Ubuntu


Автор Тема: Ошибка при компиляции Gimp  (Прочитано 1191 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн НеФормат

  • Автор темы
  • Участник
  • *
  • Сообщений: 117
  • Ubuntu 11.10
    • Просмотр профиля
    • Линукс по Русски
Ошибка при компиляции Gimp
« : 12 Май 2012, 18:14:01 »
Привет всем!
Хочу скомпилировать Gimp 2.8
Скомпилировал (и установил) все необходимые библиотеки
Вот ошибка:
(Нажмите, чтобы показать/скрыть)

Как я понял, новая gtk+ установилось поверх старой.
Как без потери половины пакетов Заменить версию из репозиториев на версию, собранную из исходников?

Мой сайт -  http://linuxfanat.ru!
Могу помочь с PHP,CSS,Html

Оффлайн v!tax

  • Старожил
  • *
  • Сообщений: 4157
  • Gentoo x64 bspwm
    • Просмотр профиля
Re: Ошибка при компиляции Gimp
« Ответ #1 : 12 Май 2012, 18:15:14 »
обязательно нужно именно компилировать?
господь ведет твою руку, сын мой....

Оффлайн НеФормат

  • Автор темы
  • Участник
  • *
  • Сообщений: 117
  • Ubuntu 11.10
    • Просмотр профиля
    • Линукс по Русски
Re: Ошибка при компиляции Gimp
« Ответ #2 : 12 Май 2012, 18:15:23 »
P.S.
"then it is best to remove the old version of GTK+"
Эта "old version" тянет длинный хвост зависимостей

Пользователь решил продолжить мысль 12 Май 2012, 18:16:05:
обязательно нужно именно компилировать?
Нет, но привычка.
Не люблю всякие DEB-ы RPM-ы и подобное

Мой сайт -  http://linuxfanat.ru!
Могу помочь с PHP,CSS,Html

Оффлайн arrecck

  • Старожил
  • *
  • Сообщений: 1726
    • Просмотр профиля
Re: Ошибка при компиляции Gimp
« Ответ #3 : 12 Май 2012, 18:23:17 »
вам написали, как при сборке указать версию gtk
в ubuntu есть пакетный менеджер, собирайте хоть все из исходников, но делайте для них deb пакеты и ставьте в соответствии с требованиями системы.
Если решили превратить /usr в свалку, это уже ваши личные проблемы.

Оффлайн НеФормат

  • Автор темы
  • Участник
  • *
  • Сообщений: 117
  • Ubuntu 11.10
    • Просмотр профиля
    • Линукс по Русски
Re: Ошибка при компиляции Gimp
« Ответ #4 : 12 Май 2012, 18:28:36 »
О, Боже =(((
нееенавижу DEB =((
Но придётся

Мой сайт -  http://linuxfanat.ru!
Могу помочь с PHP,CSS,Html

Оффлайн arrecck

  • Старожил
  • *
  • Сообщений: 1726
    • Просмотр профиля
Re: Ошибка при компиляции Gimp
« Ответ #5 : 12 Май 2012, 18:30:46 »
меняйте дистрибутив, выбор большой и пакетных менеджеров не меньше.
в ubuntu deb

Оффлайн danulo1245

  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
Re: Ошибка при компиляции Gimp
« Ответ #6 : 13 Октябрь 2012, 14:04:43 »
дай исходники попробую напильником пошаманить и создать deb пакет

Оффлайн san-alex

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 7729
  • Ex-CNC programmer
    • Просмотр профиля
Re: Ошибка при компиляции Gimp
« Ответ #7 : 13 Октябрь 2012, 14:49:07 »
Так 2.8 уже в репозитории давно есть.
Вот в этом: http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu
На данный момент 2.8.2
« Последнее редактирование: 13 Октябрь 2012, 14:50:58 от san-alex »

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15189
    • Просмотр профиля
    • aetera.net
Re: Ошибка при компиляции Gimp
« Ответ #8 : 13 Октябрь 2012, 15:15:57 »
В пакетных дистрибутивах компилировать надо, только когда пакета нет, либо он сильно криво собран.
Однако, после компиляния всё равно настоятельно рекомендуется собрать пакет.

 

Страница сгенерирована за 0.103 секунд. Запросов: 24.